Support » Plugins and Hacks » Compatibility with WPML plugin

Compatibility with WPML plugin

  • Hey folks,

    My name is Dominykas and I am the supporter and applications specialist of OnTheGo Systems, the makers of WPML, the multilingual plugin for WordPress.
    From time to time we get support tickets from clients in WPML customer support forum that use your plugin.
    We thought that it would be a good idea to make your plugin work nicely with WPML.
    This can benefit both of our clients and leverage the business of both companies. We’ll do the 99% of the work.
    Our team welcomes cooperation with your team on that.
    Once we are done, we can both announce it to our clients.

    [sig moderated as per the Forum Rules]


Viewing 4 replies - 1 through 4 (of 4 total)
  • Plugin Author Jacob N. Breetvelt


    Searching the plugin database on ‘wpml’ results in 5 pages of plugins that seem to do anything related to wpml.

    Where do i find the ‘core’ plugin, and – equally important – the specs the programmer needs to know?

    Hi there,

    I’m glad that you are interested. You can fill the form there – http://wpml.org/documentation/theme-compatibility/go-global-program/ and we’ll give you a developer licence for free.

    Plugin Author Jacob N. Breetvelt



    Plugin Author Jacob N. Breetvelt


    I did some brief investigation and installed the wpml core plugin.

    I understand that there is a post / page for every language as opposed to the way qTranslate does this.

    In qTranslate, the following extremely simple construction works flawlessly for a dynamic text:

    $string = '[en:]This is an English text[fr:]C'est une texte en Fran├žais[nl:]Dit is een Nederlandse tekst';
    echo __($string);

    This will display the text in the currently selected language.

    Is there something analoguous to this in wpml, or do i have to maintain all language versions of database text fields like album and photo names and descriptions?

Viewing 4 replies - 1 through 4 (of 4 total)
  • The topic ‘Compatibility with WPML plugin’ is closed to new replies.